/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: StressTests.java,v 1.7 2004/02/08 03:57:16 vgritsenko Exp $
 */

package org.apache.xindice;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.apache.xindice.core.filer.BTreeFiler;
import org.apache.xindice.core.filer.FSFiler;
import org.apache.xindice.core.filer.HashFiler;
import org.apache.xindice.core.filer.MemFiler;
import org.apache.xindice.stress.filer.StressFilerTestSetup;

/**
 * @version CVS $Revision: 1.7 $, $Date: 2004/02/08 03:57:16 $
 * @author Vladimir R. Bossicard <vladimir@apache.org>
 */
public class StressTests {

   private static final int USERS = 1;
   private static final int ITERATIONS = 1;

   public static Test suite() {
      TestSuite suite = new TestSuite("Xindice stress tests");

//      suite.addTest(new StressFilerTestSetup(new TestSuite(FilerTestCase.class), new BTreeFiler(), USERS, ITERATIONS));
//      suite.addTest(new StressFilerTestSetup(new TestSuite(FilerTestCase.class), new FSFiler(), USERS, ITERATIONS));
//      suite.addTest(new StressFilerTestSetup(new TestSuite(FilerTestCase.class), new HashFiler(), USERS, ITERATIONS));
//      suite.addTest(new StressFilerTestSetup(new TestSuite(FilerTestCase.class), new MemFiler(), USERS, ITERATIONS));

      return suite;
   }
}
