/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: HashFilerTest.java,v 1.2 2004/02/08 03:56:47 vgritsenko Exp $
 */

package org.apache.xindice.core.filer;

/**
 * @version CVS $Revision: 1.2 $, $Date: 2004/02/08 03:56:47 $
 * @author <a href="mailto:vgritsenko@apache.org">Vadim Gritsenko</a>
 */
public class HashFilerTest extends FilerTestBase {

    public HashFilerTest(String name) {
        super(name, new HashFiler());
    }

    public void testLargeKey() throws Exception {
        // HashFiler large key can not be large than page size (less page header)
        LARGE_KEY_SIZE = 4030;
        super.testLargeKey();
    }
}
